# KSpigotParticle

data class KSpigotParticle(particle: Particle, amount: Int, offset: Vector?, extra: Number, data: Any?, force: Boolean)
Content copied to clipboard

## Parameters

amount

The amount of particles.

data

Particle specific data, often specifying BlockData or an ItemStack.

extra

Particle specific data, often specifying an aspect like speed.

force

Determines whether the client should be encouraged to display the particles.

offset

The offset at which particles should appear.

particle

The type of Particle.

## Constructors

KSpigotParticle
Link copied to clipboard

The type of Particle.

fun KSpigotParticle(particle: Particle, amount: Int, offset: Vector?, extra: Number, data: Any?, force: Boolean)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Particle
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Int
Content copied to clipboard
component3
Link copied to clipboard
operator fun component3(): Vector?
Content copied to clipboard
component4
Link copied to clipboard
operator fun component4(): Number
Content copied to clipboard
component5
Link copied to clipboard
operator fun component5(): Any?
Content copied to clipboard
component6
Link copied to clipboard
operator fun component6(): Boolean
Content copied to clipboard
copy
Link copied to clipboard
fun copy(particle: Particle, amount: Int, offset: Vector?, extra: Number, data: Any?, force: Boolean): KSpigotParticle
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
spawnAt
Link copied to clipboard

Spawns the particle at the location. It will be visible for everyone near it.

fun spawnAt(loc: Location)
Content copied to clipboard
spawnFor
Link copied to clipboard

Spawns the particle at the location of the player. It will be only visible for the player.

fun spawnFor(player: Player)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

amount
Link copied to clipboard

The amount of particles.

var amount: Int
Content copied to clipboard
data
Link copied to clipboard

Particle specific data, often specifying BlockData or an ItemStack.

var data: Any?
Content copied to clipboard
extra
Link copied to clipboard

Particle specific data, often specifying an aspect like speed.

var extra: Number
Content copied to clipboard
force
Link copied to clipboard

Determines whether the client should be encouraged to display the particles.

var force: Boolean
Content copied to clipboard
offset
Link copied to clipboard

The offset at which particles should appear.

var offset: Vector?
Content copied to clipboard
particle
Link copied to clipboard

The type of Particle.

val particle: Particle
Content copied to clipboard